/***************************************************************************
 *   Copyright (C) 2004 by Joseph Wenninger                                *
 *   jowenn@kde.org                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _CONNECTING_DIALOG_
#define _CONNECTING_DIALOG_

#include "connecting_base.h"
#include <kdialogbase.h>

class ConnectingDialog: public Connecting_Base /*KDialogBase*/ {
	Q_OBJECT
public:
	ConnectingDialog(class KNXConnection *connection,const QString& connectionname);
	~ConnectingDialog();
	void setActivity(const QString&);
	void timeout();
	void accessDenied(bool nx,const QString &hostName);
	void badServerKey(const QString &hostName);
	void unknownError();
	void noSSH(const QString &hostName);
	void clearConnection();
private slots:
	void slotCancel();
	void ledAnim();
private:
	//LoginDialog_Base *m_widget;
	class KNXConnection* m_connection;
	int m_ledState;
	class QTimer *m_ledTimer;
	void error();
protected:
	void closeEvent ( QCloseEvent * e );
};


#endif
